### Constructor

# EBackend ServerSideSource new

since: 3.6

#### Declaration [src]

    ESource*
    e_server_side_source_new (
      ESourceRegistryServer* server,
      GFile* file,
      GError** error
    )

#### Description [src]

Creates a new `EServerSideSource` which belongs to `server`. If `file` is non-`NULL` and points to an existing file, the `EServerSideSource` is initialized from the file content. If a read error occurs or the file contains syntax errors, the function sets `error` and returns `NULL`.

Available since: 3.6

#### Parameters

`server`

  Type: `ESourceRegistryServer`

  An `ESourceRegistryServer`.

  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  A `GFile`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ESource`

A new `EServerSideSource`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.